3. Set a parent class, parent record ID, and child class name.
Specify the parent class name, parent record ID, and child class name in the URL.Here, the parent class is user, the parent record ID is 617817b94dd9626e64022fdd, and the child class is friends.
A child record type is a record that refers to another record that has already
been created, a parent. When a record is created, it is assigned a record ID.
Thus, you can create a new record, a child, and attach it to the parent record
by pointing to its ID.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"QuickBlox","colors":{"primary":"#3978fc","light":"#3978fc","dark":"#3978fc"},"logo":{"light":"https://mintcdn.com/quickblox/ZK0J4-dDJuuhpUQu/logo/light.svg?fit=max\u0026auto=format\u0026n=ZK0J4-dDJuuhpUQu\u0026q=85\u0026s=2ca77d61090cf3e9a7512358a3ad30b1","dark":"https://mintcdn.com/quickblox/ZK0J4-dDJuuhpUQu/logo/dark.svg?fit=max\u0026auto=format\u0026n=ZK0J4-dDJuuhpUQu\u0026q=85\u0026s=a8aaf148bf91f6898d03d0d3184114a9"},"favicon":"https://mintcdn.com/quickblox/blsYQNp-sI61UYaV/favicon.png?fit=max\u0026auto=format\u0026n=blsYQNp-sI61UYaV\u0026q=85\u0026s=62ec978bc2dc633ef042e7636c089254","navbar":{"links":[{"href":"https://quickblox.github.io/q-consultation/","label":"Q-Consultation"},{"href":"https://help.quickblox.com/","label":"Support"},{"href":"https://quickblox.com/","label":"quickblox.com"}],"primary":{"type":"button","label":"Dashboard","href":"https://admin.quickblox.com/"}},"footer":{"socials":{"x":"https://x.com/QuickBlox","facebook":"https://www.facebook.com/quickblox","linkedin":"https://www.linkedin.com/company/quickblox","instagram":"https://www.instagram.com/quickblox_official_","medium":"https://medium.com/quickblox-engineering","github":"https://github.com/QuickBlox","discord":"https://bit.ly/quickblox-dev-community"}},"integrations":{"ga4":{"measurementId":"G-CJ7RE2GB2V"}},"contextual":{"options":["chatgpt","claude","copy"],"display":"header"},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"SDK Downloads","icon":"webhook","href":"https://github.com/QuickBlox"},{"anchor":"Community","icon":"discord","href":"https://discord.com/invite/ZWZ3WpYZ9q"},{"anchor":"Blog","icon":"newspaper","href":"https://quickblox.com/blog/"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"quickblox","hasAudioNarration":false,"actualSubdomain":"quickblox","customDomains":["docs.quickblox.com"],"gitSource":{"type":"github","owner":"quickblox","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a8dc27ca93e48aebcc61c6f","collectionId":"6f899a07-3988-43cd-ac6e-7ba934508cca","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6a8dc27ca93e48aebcc61c6f"},"feedback":{"issues":true,"edits":false,"thumbs":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6a8dc27ca93e48aebcc61c6f","clientVersion":"0.0.4006","searchFilterCounts":[{"language":"default","tag":"Server API","count":105},{"language":"default","tag":"REST API","count":105},{"language":"default","tag":"SDKs","count":98},{"language":"default","tag":"Chat","count":57},{"language":"default","tag":"Android","count":26},{"language":"default","tag":"iOS","count":25},{"language":"default","tag":"UIKits","count":23},{"language":"default","tag":"Custom Objects","count":22},{"language":"default","tag":"AI Agent","count":21},{"language":"default","tag":"Flutter","count":20}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"styles.css","content":".icon-group{display:flex;gap:10px;flex-wrap:wrap}.custom-icon{width:24px;height:24px}.inline-link{display:inline-flex;align-items:center;color:#007bff;margin-top:10px;text-decoration:none;transition:color .3s ease,text-decoration .3s ease}.inline-link:hover{color:#030f1c}.centered-image,.centered-video{display:block;margin-left:auto;margin-right:auto}.centered-image{width:500px;height:auto}.centered-video{max-width:100%}.inline-link Icon{margin-right:5px}.icon-group .icon{width:20px;height:20px;vertical-align:middle}.icon-group .icon,.icon-group a{display:inline-block}.icon-group img,.icon-group svg{width:20px;height:20px;cursor:pointer;pointer-events:none}.card{box-shadow:0 4px 6px rgba(0,0,0,.1);transition:transform .3s ease,box-shadow .3s ease;background-color:#fff;border-radius:8px;padding:16px}.card:hover{transform:translateY(-5px);box-shadow:0 8px 16px rgba(0,0,0,.4)}.button{display:inline-block;padding:10px 20px;text-align:center;background-color:#007bff;color:#fff;border-radius:5px;text-decoration:none;white-space:nowrap}.button:hover{background-color:#0056b3}.warning{background-color:red!important}"}],"page":{"pagePath":"reference/create-child-record","slug":"/reference/create-child-record","pageMetadata":{"title":"Create Child Record","api":"POST https://api.quickblox.com/data/{class_name}/{parent_id}/{child_name}","contentType":"application/json","description":"Create a child record.","playground":"simple","href":"/reference/create-child-record"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Create a child record.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,pre:`pre`,span:`span`,..._provideComponents(),...props.components},{Accordion,AccordionGroup,CodeBlock,Expandable,Heading,ParamField,ResponseField,Step,Steps}=_components;if(!Accordion)_missingMdxReference(`Accordion`,true);if(!AccordionGroup)_missingMdxReference(`AccordionGroup`,true);if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);if(!Step)_missingMdxReference(`Step`,true);if(!Steps)_missingMdxReference(`Steps`,true);return _jsxs(_Fragment,{children:[_jsx(Heading,{level:`4`,id:`recipes`,children:`Recipes`}),`\n`,_jsx(AccordionGroup,{children:_jsx(Accordion,{title:`Create child record with API key`,id:`create-child-record-with-api-key`,children:_jsxs(Steps,{children:[_jsx(Step,{title:`1. Use 'Authorization' header to pass API key`,children:_jsx(CodeBlock,{filename:``,highlight:`[3]`,numberOfLines:`8`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`8`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X POST \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"Content-Type: application/json\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:`-H \"Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-d '{`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"name\": \"Bob\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`}'\\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`https://api.quikblox.com/data/user/617817b94dd9626e64022fdd/friends.json`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})}),_jsxs(Step,{title:`2. Set record fields.`,children:[_jsx(_components.p,{children:`You can set as many fields as you need for a new child record.`}),_jsx(CodeBlock,{filename:``,highlight:`[5]`,numberOfLines:`8`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`8`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X POST \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"Content-Type: application/json\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-d '{`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:` \"name\": \"Bob\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`}'\\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`https://api.quikblox.com/data/user/617817b94dd9626e64022fdd/friends.json`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsxs(Step,{title:`3. Set a parent class, parent record ID, and child class name.`,children:[_jsx(_components.p,{children:`Specify the parent class name, parent record ID, and child class name in the URL.`}),_jsxs(_components.p,{children:[`Here, the parent class is `,_jsx(_components.code,{children:`user`}),`, the parent record ID is `,_jsx(_components.code,{children:`617817b94dd9626e64022fdd`}),`, and the child class is `,_jsx(_components.code,{children:`friends`}),`.`]}),_jsx(CodeBlock,{filename:``,highlight:`[7]`,numberOfLines:`8`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`8`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X POST \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"Content-Type: application/json\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-d '{`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"name\": \"Bob\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`}'\\\\`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:`https://api.quikblox.com/data/user/617817b94dd9626e64022fdd/friends.json`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsx(Step,{title:`4. As a result, the API returns a newly created child record.`,children:_jsx(CodeBlock,{filename:``,numberOfLines:`19`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`19`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"617819e24dd96270083a270c\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"_parent_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"617817b94dd9626e64022fdd\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"created_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1635260898`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Bob\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"updated_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1635260898`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"user_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`579`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"permissions\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"read\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"access\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"open\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"update\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"access\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"owner\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"delete\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"access\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"owner\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})})]})})}),`\n`,_jsx(_components.p,{children:`A child record type is a record that refers to another record that has already\nbeen created, a parent. When a record is created, it is assigned a record ID.\nThus, you can create a new record, a child, and attach it to the parent record\nby pointing to its ID.`}),`\n`,_jsx(Heading,{level:`4`,id:`path-parameters`,children:`Path Parameters`}),`\n`,_jsx(ParamField,{path:`class_name`,type:`string`,required:true,id:`param-class-name`,children:_jsx(_components.p,{children:`A class name of the parent custom object.`})}),`\n`,_jsx(ParamField,{path:`parent_id`,type:`string`,required:true,id:`param-parent-id`,children:_jsx(_components.p,{children:`An ID of the parent custom object.`})}),`\n`,_jsx(ParamField,{path:`child_name`,type:`string`,required:true,id:`param-child-name`,children:_jsx(_components.p,{children:`A class name of the child custom object.`})}),`\n`,_jsx(Heading,{level:`4`,id:`body-parameters`,children:`Body Parameters`}),`\n`,_jsx(ParamField,{body:`{custom_field_N}`,type:`string`,id:`param-custom-field-n`,children:_jsx(_components.p,{children:`Set value to the field defined in Custom Object class. Can be many 1..N.`})}),`\n`,_jsxs(ParamField,{body:`permissions`,type:`string`,id:`param-permissions`,children:[_jsxs(_components.p,{children:[`Record permissions. Format: `,_jsx(`br`,{}),`\n`,_jsx(_components.code,{children:`permission.\u003cCRUD_operation>.access=\u003cvalue>`}),` `,_jsx(`br`,{}),`\n`,_jsx(_components.code,{children:`permission.\u003cCRUD_operation>.\u003coption>=\u003cvalue>`})]}),_jsxs(_components.p,{children:[`CRUD operations: `,_jsx(_components.code,{children:`create`}),`, `,_jsx(_components.code,{children:`read`}),`, `,_jsx(_components.code,{children:`update`}),`, `,_jsx(_components.code,{children:`delete`}),`. `,_jsx(`br`,{}),`\nCRUD access values: `,_jsx(_components.code,{children:`open`}),`, `,_jsx(_components.code,{children:`owner`}),`, `,_jsx(_components.code,{children:`open_for_users_ids`}),`, `,_jsx(_components.code,{children:`open_for_groups`}),`. `,_jsx(`br`,{}),`\nCRUD options: `,_jsx(_components.code,{children:`ids`}),`, `,_jsx(_components.code,{children:`groups`}),`.`]})]}),`\n`,_jsx(Heading,{level:`4`,id:`headers`,children:`Headers`}),`\n`,_jsx(ParamField,{header:`QB-Token`,type:`string`,required:true,id:`param-qb-token`,children:_jsxs(_components.p,{children:[`A user or application session token. See `,_jsx(_components.a,{href:`/reference/authentication`,children:`Authentication`}),`\npage to learn more about session tokens. Must be used either QB-Token or Authorization.`]})}),`\n`,_jsx(ParamField,{header:`Authorization`,type:`string`,default:`ApiKey {your_api_key}`,id:`param-authorization`,children:_jsxs(_components.p,{children:[`API key from Dashboard. Expected format: `,_jsx(_components.code,{children:`ApiKey {your_api_key}`}),`. Must be used\neither QB-Token or Authorization.`]})}),`\n`,_jsx(ParamField,{header:`On-Behalf-Of`,type:`string`,id:`param-on-behalf-of`,children:_jsx(_components.p,{children:`User ID. The user ID of the user on whose behalf the request is being made.`})}),`\n`,_jsx(Heading,{level:`4`,id:`responses`,children:`Responses`}),`\n`,_jsxs(AccordionGroup,{children:[_jsxs(Accordion,{title:`201`,id:`201`,children:[_jsx(_components.p,{children:`A successful response`}),_jsx(ResponseField,{name:`_id`,type:`string`,id:`param-id`}),_jsx(ResponseField,{name:`_parent_id`,type:`string`,id:`param-parent-id-1`}),_jsx(ResponseField,{name:`created_at`,type:`integer`,id:`param-created-at`}),_jsx(ResponseField,{name:`updated_at`,type:`integer`,id:`param-updated-at`}),_jsx(ResponseField,{name:`user_id`,type:`integer`,id:`param-user-id`}),_jsx(ResponseField,{name:`permissions`,type:`object`,id:`param-permissions-1`,children:_jsxs(Expandable,{title:`properties`,children:[_jsx(ResponseField,{name:`read`,type:`object`,id:`param-read`,children:_jsx(Expandable,{title:`properties`,children:_jsx(ResponseField,{name:`access`,type:`string`,id:`param-access`})})}),_jsx(ResponseField,{name:`update`,type:`object`,id:`param-update`,children:_jsx(Expandable,{title:`properties`,children:_jsx(ResponseField,{name:`access`,type:`string`,id:`param-access-1`})})}),_jsx(ResponseField,{name:`delete`,type:`object`,id:`param-delete`,children:_jsx(Expandable,{title:`properties`,children:_jsx(ResponseField,{name:`access`,type:`string`,id:`param-access-2`})})})]})})]}),_jsx(Accordion,{title:`400`,id:`400`,children:_jsx(_components.p,{children:`An error response`})})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Create Child Record","api":"POST https://api.quickblox.com/data/{class_name}/{parent_id}/{child_name}","contentType":"application/json","description":"Create a child record.","playground":"simple","href":"/reference/create-child-record"}}},"mdxSourceWithNoJs":null,"noJsSplices":[[340,349,"questExample,ResponseExample,ResponseFie"],[710,722,"questExample)_missingMdxReference(`RequestExample`,true);if(!ResponseExample)_missingMdxReference(`ResponseExample`,true);if(!ResponseField)"],[16164,16592,",`\n`,_jsx(RequestExample,{children:_jsx(CodeBlock,{filename:`cURL`,numberOfLines:`7`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`7`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -X`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` POST`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`-H `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Content-Type: application/json\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`-H `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"QB-Token: 00b4daecf2f3cc13687515977f81e3613d000335\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`-d `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'{`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"name\": \"Bob\"`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`}'`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`https://api.quikblox.com/data/user/617817b94dd9626e64022fdd/friends.json`})}),`\n`]})})})}),`\n`,_jsxs(ResponseExample,{children:[_jsx(CodeBlock,{filename:`201`,numberOfLines:`19`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`19`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"617819e24dd96270083a270c\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"_parent_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"617817b94dd9626e64022fdd\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"created_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1635260898`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Bob\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"updated_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1635260898`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"user_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`579`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"permissions\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"read\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"access\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"open\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"update\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"access\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"owner\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"delete\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"access\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"owner\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`400`,numberOfLines:`1`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`1`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{}`})}),`\n`]})})})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}"]]},"mdxExtracts":{"tableOfContents":[{"title":"Recipes","slug":"recipes","depth":4,"children":[]},{"title":"Path Parameters","slug":"path-parameters","depth":4,"children":[]},{"title":"Body Parameters","slug":"body-parameters","depth":4,"children":[]},{"title":"Headers","slug":"headers","depth":4,"children":[]},{"title":"Responses","slug":"responses","depth":4,"children":[]}],"codeExamples":{"request":{"type":"RequestExample","children":[{"filename":"cURL","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"shellscript\">\u003ccode language=\"shellscript\" numberOfLines=\"7\">\u003cspan class=\"line\">\u003cspan style=\"color:#953800;--shiki-dark:#DCDCAA\">curl\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> -X\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> POST\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">-H \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Content-Type: application/json\"\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">-H \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"QB-Token: 00b4daecf2f3cc13687515977f81e3613d000335\"\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">-d \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">'{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"name\": \"Bob\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">}'\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\">\\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">https://api.quikblox.com/data/user/617817b94dd9626e64022fdd/friends.json\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]},"response":{"type":"ResponseExample","children":[{"filename":"201","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"19\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"_id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"617819e24dd96270083a270c\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"_parent_id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"617817b94dd9626e64022fdd\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"created_at\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">1635260898\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"name\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Bob\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"updated_at\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">1635260898\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"user_id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">579\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"permissions\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"read\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"access\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"open\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> },\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"update\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"access\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"owner\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> },\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"delete\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"access\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"owner\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"400","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"1\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]}},"endpoint":{"title":"Create Child Record","path":"/data/{class_name}/{parent_id}/{child_name}","servers":[{"url":"https://api.quickblox.com"}],"method":"post","request":{"security":[],"parameters":{"query":{},"header":{"QB-Token":{"schema":[{"type":"string","description":"A user or application session token. See Authentication page to learn more about session tokens. Must be used either QB-Token or Authorization.","required":true}]},"Authorization":{"schema":[{"type":"string","description":"API key from Dashboard. Expected format: `ApiKey {your_api_key}` . Must be used either QB-Token or Authorization."}]},"On-Behalf-Of":{"schema":[{"type":"string","description":"User ID. The user ID of the user on whose behalf the request is being made."}]}},"cookie":{},"path":{"class_name":{"schema":[{"type":"string","description":"A class name of the parent custom object.","required":true}]},"parent_id":{"schema":[{"type":"string","description":"An ID of the parent custom object.","required":true}]},"child_name":{"schema":[{"type":"string","description":"A class name of the child custom object.","required":true}]}}},"body":{"application/json":{"schemaArray":[{"type":"object","properties":{"{custom_field_N}":[{"type":"string","description":"Set value to the field defined in Custom Object class. Can be many 1..N."}],"permissions":[{"type":"string","description":"Record permissions. Format: `permission.\u003cCRUD_operation>.access=\u003cvalue>` `permission.\u003cCRUD_operation>.\u003coption>=\u003cvalue>` CRUD operations: `create` , `read` , `update` , `delete` . CRUD access values: `open` , `owner` , `open_for_users_ids` , `open_for_groups` . CRUD options: `ids` , `groups` ."}]}}],"examples":{"example":{"value":{"{custom_field_N}":"\u003cstring>","permissions":"\u003cstring>"}}}}}},"response":{},"deprecated":false}},"jsLinks":[],"subdomain":"quickblox","siteName":"QuickBlox","title":"Create Child Record - QuickBlox","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-04-28T16:36:16.903Z","originalFileLocation":"reference/create-child-record.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Create a child record.\">\u003cmeta data-mint-head name=\"application-name\" content=\"QuickBlox\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/quickblox/xsijdUMkGjrzOYFW/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/quickblox/xsijdUMkGjrzOYFW/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/quickblox/xsijdUMkGjrzOYFW/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/quickblox/xsijdUMkGjrzOYFW/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/quickblox/xsijdUMkGjrzOYFW/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/quickblox/xsijdUMkGjrzOYFW/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/quickblox/xsijdUMkGjrzOYFW/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/quickblox/xsijdUMkGjrzOYFW/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/quickblox/xsijdUMkGjrzOYFW/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create Child Record - QuickBlox\">\u003cmeta data-mint-head property=\"og:description\" content=\"Create a child record.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"QuickBlox\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.quickblox.com/reference/create-child-record\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://quickblox.mintlify.app/_mintlify/api/og/v2?division=Custom+Objects\u0026amp;title=Create+Child+Record\u0026amp;description=Create+a+child+record.\u0026amp;theme=5ff450e9301b53695b58d9b0\u0026amp;signature=7c444ae54a9d8fd25d7d0b24bac5b30e0deb258818dedc38e1a119d5e23c7191\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create Child Record - QuickBlox\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Create a child record.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://quickblox.mintlify.app/_mintlify/api/og/v2?division=Custom+Objects\u0026amp;title=Create+Child+Record\u0026amp;description=Create+a+child+record.\u0026amp;theme=5ff450e9301b53695b58d9b0\u0026amp;signature=7c444ae54a9d8fd25d7d0b24bac5b30e0deb258818dedc38e1a119d5e23c7191\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/quickblox/xsijdUMkGjrzOYFW/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"QuickBlox\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#3978fc\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.quickblox.com/reference/create-child-record\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/reference/create-child-record.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.quickblox.com/#organization\",\"name\":\"QuickBlox\",\"url\":\"https://docs.quickblox.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/quickblox/ZK0J4-dDJuuhpUQu/logo/light.svg?fit=max\u0026auto=format\u0026n=ZK0J4-dDJuuhpUQu\u0026q=85\u0026s=2ca77d61090cf3e9a7512358a3ad30b1\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.quickblox.com#website\",\"name\":\"QuickBlox\",\"url\":\"https://docs.quickblox.com\",\"publisher\":{\"@id\":\"https://docs.quickblox.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.quickblox.com/reference/create-child-record#webpage\",\"url\":\"https://docs.quickblox.com/reference/create-child-record\",\"name\":\"Create Child Record\",\"description\":\"Create a child record.\",\"dateModified\":\"2026-04-28T16:36:16.903Z\",\"isPartOf\":{\"@id\":\"https://docs.quickblox.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.quickblox.com/reference/create-child-record#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.quickblox.com/reference/create-child-record#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"REST API\",\"item\":\"https://docs.quickblox.com/reference/overview\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Custom Objects\",\"item\":\"https://docs.quickblox.com/reference/custom-objects\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Create Child Record\",\"item\":\"https://docs.quickblox.com/reference/create-child-record\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.quickblox.com/reference/create-child-record#apireference\",\"headline\":\"Create Child Record\",\"name\":\"Create Child Record\",\"description\":\"Create a child record.\",\"url\":\"https://docs.quickblox.com/reference/create-child-record\",\"mainEntityOfPage\":{\"@id\":\"https://docs.quickblox.com/reference/create-child-record#webpage\"},\"dateModified\":\"2026-04-28T16:36:16.903Z\",\"publisher\":{\"@id\":\"https://docs.quickblox.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.quickblox.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"QuickBlox\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"QuickBlox","nav":{"global":{"anchors":[{"anchor":"SDK Downloads","icon":"webhook","href":"https://github.com/QuickBlox"},{"anchor":"Community","icon":"discord","href":"https://discord.com/invite/ZWZ3WpYZ9q"},{"anchor":"Blog","icon":"newspaper","href":"https://quickblox.com/blog/"}]},"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/docs/quickstart"}]},{"tab":"Server API","groups":[{"group":"REST API","pages":[{"title":"Overview","icon":"circle-info","href":"/reference/overview"},{"title":"Limits","mode":"wide","icon":"traffic-light-stop","href":"/reference/limits"},{"title":"Errors","mode":"wide","icon":"triangle-exclamation","href":"/reference/errors"},{"title":"Get Account Settings","api":"GET https://api.quickblox.com/account_settings.json","playground":"simple","href":"/reference/get-account-settings"},{"group":"Authentication","icon":"lock","pages":[{"title":"Authentication","sidebarTitle":"Overview","icon":"circle-info","href":"/reference/authentication"},{"title":"Session Model","mode":"wide","icon":"key","href":"/reference/session-model"},{"title":"Create Session","api":"POST https://api.quickblox.com/session.json","playground":"simple","href":"/reference/create-session"},{"title":"Get Session","api":"GET https://api.quickblox.com/session.json","playground":"simple","href":"/reference/get-session"},{"title":"Log In","api":"POST https://api.quickblox.com/login.json","playground":"simple","href":"/reference/log-in"},{"title":"Log Out","api":"DELETE https://api.quickblox.com/login.json","playground":"simple","href":"/reference/log-out"},{"title":"Delete Session","api":"DELETE https://api.quickblox.com/session.json","playground":"simple","href":"/reference/delete-session"}]},{"group":"Users","icon":"user","pages":[{"title":"Users","mode":"wide","sidebarTitle":"Overview","icon":"circle-info","href":"/reference/users"},{"title":"User Model","mode":"wide","icon":"user","href":"/reference/user-model"},{"title":"Create User","api":"POST https://api.quickblox.com/users.json","playground":"simple","href":"/reference/create-user"},{"title":"Create Token with API key","api":"POST https://api.quickblox.com/users/{user_id}/tokens","playground":"simple","href":"/reference/create-token-with-api-key"},{"title":"Delete Token with API key","api":"DELETE https://api.quickblox.com/users/{user_id}/tokens/{token}","playground":"simple","href":"/reference/delete-token-with-api-key"},{"title":"Flush Tokens with API key","api":"DELETE https://api.quickblox.com/users/{user_id}/tokens","playground":"simple","href":"/reference/flush-tokens-with-api-key"},{"title":"List Users","api":"GET https://api.quickblox.com/users.json","playground":"simple","href":"/reference/list-users"},{"title":"List Users by Full Name","api":"GET https://api.quickblox.com/users/by_full_name.json","playground":"simple","href":"/reference/list-users-by-full-name"},{"title":"List Users by Tags","api":"GET https://api.quickblox.com/users/by_tags.json","playground":"simple","href":"/reference/list-users-by-tags"},{"title":"Get User by ID","api":"GET https://api.quickblox.com/users/{user_id}.json","playground":"simple","href":"/reference/get-user-by-id"},{"title":"Get User by Login","api":"GET https://api.quickblox.com/users/by_login.json","playground":"simple","href":"/reference/get-user-by-login"},{"title":"Get User by Facebook ID","api":"GET https://api.quickblox.com/users/by_facebook_id.json","playground":"simple","href":"/reference/get-user-by-facebook"},{"title":"Get User by Email","api":"GET https://api.quickblox.com/users/by_email.json","playground":"simple","href":"/reference/get-user-by-email"},{"title":"Get User by External User ID","api":"GET https://api.quickblox.com/users/external/{external_user_id}.json","playground":"simple","href":"/reference/get-user-by-external-user-id"},{"title":"Update User","api":"PUT https://api.quickblox.com/users/{user_id}.json","playground":"simple","href":"/reference/update-user"},{"title":"Delete User by ID","api":"DELETE https://api.quickblox.com/users/{user_id}.json","playground":"simple","href":"/reference/delete-user"},{"title":"Delete User by External ID","api":"DELETE https://api.quickblox.com/users/external/{external_user_id}.json","playground":"simple","href":"/reference/delete-user-by-external-id"},{"title":"Reset User Password","api":"GET https://api.quickblox.com/users/password/reset.json","playground":"simple","href":"/reference/reset-user-password"}]},{"group":"Chat","icon":"messages","pages":[{"title":"Chat","mode":"wide","sidebarTitle":"Overview","icon":"circle-info","href":"/reference/chat"},{"title":"Dialog Model","mode":"wide","icon":"messages","href":"/reference/dialog-model"},{"title":"Create Dialog","api":"POST https://api.quickblox.com/chat/Dialog.json","playground":"simple","href":"/reference/create-dialog"},{"title":"List Dialogs","api":"GET https://api.quickblox.com/chat/Dialog.json","playground":"simple","href":"/reference/list-dialogs"},{"title":"Get Dialog by ID","api":"GET https://api.quickblox.com/chat/Dialog/{chat_dialog_id}.json","playground":"simple","href":"/reference/get-dialog-by-id"},{"title":"Update Dialog","api":"PUT https://api.quickblox.com/chat/Dialog/{chat_dialog_id}.json","playground":"simple","href":"/reference/update-dialog"},{"title":"Delete Dialog","api":"DELETE https://api.quickblox.com/chat/Dialog/{chat_dialog_id},{chat_dialog_id}.json","playground":"simple","href":"/reference/delete-dialog"},{"title":"Get Notification Settings","api":"GET https://api.quickblox.com/chat/Dialog/{chat_dialog_id}/notifications.json","playground":"simple","href":"/reference/get-notification-settings"},{"title":"Update Notification Settings","api":"PUT https://api.quickblox.com/chat/Dialog/{chat_dialog_id}/notifications.json","playground":"simple","href":"/reference/update-notification-settings"},{"title":"Message Model","mode":"wide","icon":"message","href":"/reference/messages"},{"title":"Create Message","api":"POST https://api.quickblox.com/chat/Message.json","playground":"simple","href":"/reference/create-message"},{"title":"List Messages","api":"GET https://api.quickblox.com/chat/Message.json","playground":"simple","href":"/reference/list-messages"},{"title":"Get Message by ID","api":"GET https://api.quickblox.com/chat/Message/{chat_message_id}","playground":"simple","href":"/reference/get-message-by-id"},{"title":"Update Message","api":"PUT https://api.quickblox.com/chat/Message/{chat_message_id}.json","playground":"simple","href":"/reference/update-message"},{"title":"Mark All Messages as Delivered","api":"PATCH https://api.quickblox.com/chat/Message/delivered.json","playground":"simple","href":"/reference/mark-all-messages-as-delivered"},{"title":"Mark All Messages as Read","api":"PATCH https://api.quickblox.com/chat/Message/read.json","playground":"simple","href":"/reference/mark-all-messages-as-read"},{"title":"Delete Message","api":"DELETE https://api.quickblox.com/chat/Message/{chat_message_id},{chat_message_id}.json","playground":"simple","href":"/reference/delete-message"},{"title":"Get Unread Messages Count","api":"GET https://api.quickblox.com/chat/Message/unread.json","playground":"simple","href":"/reference/get-unread-message-count"},{"title":"Reaction Model","mode":"wide","icon":"thumbs-up","href":"/reference/reaction-model"},{"title":"Add Reaction","api":"POST https://api.quickblox.com/chat/Message/{chat_message_id}/reactions","playground":"simple","href":"/reference/add-reaction"},{"title":"List Reactions","api":"GET https://api.quickblox.com/chat/Message/{chat_message_id}/reactions","playground":"simple","href":"/reference/list-reactions"},{"title":"Remove Reaction","api":"DELETE https://api.quickblox.com/chat/Message/{chat_message_id}/reactions","playground":"simple","href":"/reference/remove-reaction"}]},{"group":"Content","icon":"file","pages":[{"title":"Content","mode":"wide","sidebarTitle":"Overview","icon":"circle-info","href":"/reference/content"},{"title":"Blob Model","mode":"wide","icon":"folder-open","href":"/reference/blob-model"},{"title":"Create File","api":"POST https://api.quickblox.com/blobs.json","playground":"simple","href":"/reference/create-file"},{"title":"List Files","api":"GET https://api.quickblox.com/blobs.json","playground":"simple","href":"/reference/list-files"},{"title":"Upload File","api":"POST https://api.quickblox.com/blobs/{blob_id}/upload.json","playground":"simple","href":"/reference/upload-file"},{"title":"Mark File Uploaded","api":"PUT https://api.quickblox.com/blobs/{blob_id}/complete.json","playground":"simple","href":"/reference/mark-file-uploaded"},{"title":"Get File by ID","api":"GET https://api.quickblox.com/blobs/{blob_id}.json","playground":"simple","href":"/reference/get-file-by-id"},{"title":"Download File by UID","api":"GET https://api.quickblox.com/blobs/{blob_uid}/download.json","playground":"simple","href":"/reference/download-file-by-uid"},{"title":"Update File","api":"PUT https://api.quickblox.com/blobs/{blob_id}.json","playground":"simple","href":"/reference/update-file"},{"title":"Delete File","api":"DELETE https://api.quickblox.com/blobs/{blob_id}.json","playground":"simple","href":"/reference/delete-file"}]},{"group":"Push Notifications","icon":"bell","pages":[{"title":"Push Notifications","mode":"wide","sidebarTitle":"Overview","icon":"circle-info","href":"/reference/push-notifications"},{"title":"Subscription Model","mode":"wide","icon":"recycle","href":"/reference/subscription-model"},{"title":"Create Subscription","api":"POST https://api.quickblox.com/subscriptions.json","playground":"simple","href":"/reference/create-subscription"},{"title":"List Subscriptions","api":"GET https://api.quickblox.com/subscriptions.json","playground":"simple","href":"/reference/list-subscriptions"},{"title":"Delete Subscription","api":"DELETE https://api.quickblox.com/subscriptions/{subscription_id}.json","playground":"simple","href":"/reference/delete-subscription"},{"title":"Event Model","mode":"wide","icon":"calendar-days","href":"/reference/events"},{"title":"Create Event","api":"POST https://api.quickblox.com/events.json","playground":"simple","href":"/reference/create-event"},{"title":"List Events","api":"GET https://api.quickblox.com/events.json","playground":"simple","href":"/reference/list-events"},{"title":"Get Event by ID","api":"GET https://api.quickblox.com/events/{event_id}.json","playground":"simple","href":"/reference/get-event-by-id"},{"title":"Update Event","api":"PUT https://api.quickblox.com/events/{event_id}.json","playground":"simple","href":"/reference/update-event"},{"title":"Delete Event","api":"DELETE https://api.quickblox.com/events/{event_id}.json","playground":"simple","href":"/reference/delete-event"},{"title":"Push Notification Formats","icon":"bell","href":"/reference/push-notification-formats"}]},{"group":"Custom Objects","icon":"database","pages":[{"title":"Custom Objects","mode":"wide","sidebarTitle":"Overview","icon":"circle-info","href":"/reference/custom-objects"},{"title":"Dashboard","mode":"wide","icon":"gauge","href":"/reference/dashboard"},{"title":"Relations","mode":"wide","icon":"heart","href":"/reference/relations"},{"title":"Permissions","icon":"triangle-instrument","href":"/reference/permissions"},{"title":"Class Model","mode":"wide","icon":"rectangle-code","href":"/reference/class-model"},{"title":"Create Class","api":"POST https://api.quickblox.com/class.json","playground":"simple","href":"/reference/create-class"},{"title":"Record Model","mode":"wide","icon":"rectangle-code","href":"/reference/record-model"},{"title":"Create Record","api":"POST https://api.quickblox.com/data/{class_name}.json","description":"Create a new record of particular class.","playground":"simple","href":"/reference/create-record"},{"title":"Create Child Record","api":"POST https://api.quickblox.com/data/{class_name}/{parent_id}/{child_name}","playground":"simple","href":"/reference/create-child-record"},{"title":"Create Multi Records","api":"POST https://api.quickblox.com/data/{class_name}/multi.json","description":"Create multiple records.","playground":"simple","href":"/reference/create-multi-records"},{"title":"List Records","api":"GET https://api.quickblox.com/data/{class_name}.json","playground":"simple","href":"/reference/list-records"},{"title":"List Records by IDs","api":"GET https://api.quickblox.com/data/{class_name}/{custom_object_record_id},{custom_object_record_id}.json","playground":"simple","href":"/reference/list-records-by-ids"},{"title":"Update Record","api":"PUT https://api.quickblox.com/data/{class_name}/{custom_object_record_id}.json","playground":"simple","href":"/reference/update-record"},{"title":"Update Records by Criteria","api":"PUT https://api.quickblox.com/data/{class_name}/by_criteria.json","playground":"simple","href":"/reference/update-records-by-criteria"},{"title":"Update Multi Records","api":"PUT https://api.quickblox.com/data/{class_name}/multi.json","playground":"simple","href":"/reference/update-multi-records"},{"title":"Delete Records","api":"DELETE https://api.quickblox.com/data/{class_name}/{custom_object_record_id},{custom_object_record_id}.json","playground":"simple","href":"/reference/delete-records"},{"title":"Delete Records by Criteria","api":"DELETE https://api.quickblox.com/data/{class_name}/by_criteria.json","playground":"simple","href":"/reference/delete-records-by-criteria"},{"title":"File Model","mode":"wide","icon":"file-code","href":"/reference/file-model"},{"title":"Upload/Update File","api":"POST https://api.quickblox.com/data/{class_name}/{custom_object_record_id}/file.json","playground":"simple","href":"/reference/upload-update-file"},{"title":"Download File","api":"GET https://api.quickblox.com/data/{class_name}/{custom_object_record_id}/file.json","playground":"simple","href":"/reference/download-file"},{"title":"Delete File","api":"DELETE https://api.quickblox.com/data/{class_name}/{custom_object_record_id}/file.json","playground":"simple","href":"/reference/custom-objects-delete-file"},{"title":"Tips and Tricks","icon":"lightbulb","href":"/reference/tips-and-tricks"}]},{"group":"Address Book","icon":"address-book","pages":[{"title":"Address Book","sidebarTitle":"Overview","mode":"wide","icon":"circle-info","href":"/reference/address-book"},{"title":"Contact Model","mode":"wide","icon":"address-book","href":"/reference/contact-model"},{"title":"Upload Address Book","api":"POST https://api.quickblox.com/address_book.json","playground":"simple","href":"/reference/upload-address-book"},{"title":"Get Address Book","api":"GET https://api.quickblox.com/address_book.json","playground":"simple","href":"/reference/get-address-book"},{"title":"List Registered Users","api":"GET https://api.quickblox.com/address_book/registered_users.json","playground":"simple","href":"/reference/get-registered-contacts-users"}]},{"group":"AI","icon":"microchip-ai","pages":[{"title":"AI","mode":"wide","sidebarTitle":"Overview","icon":"circle-info","href":"/reference/ai"},{"title":"AI Answer Assist","api":"POST https://api.quickblox.com/ai/ai_extensions/ai_answer_assist","playground":"simple","href":"/reference/ai-extensions-ai-answer-assist"},{"title":"AI Translate","api":"POST https://api.quickblox.com/ai/ai_extensions/ai_translate","playground":"simple","href":"/reference/ai-extensions-ai-translate"},{"title":"AI Summarize","api":"POST https://api.quickblox.com/ai/ai_extensions/ai_summarize","playground":"simple","href":"/reference/ai-extensions-ai-summarize"},{"title":"HIPAA AI Gateway","api":"POST https://api.quickblox.com/ai/ai_extensions/ai_gateway","playground":"simple","href":"/reference/ai-extensions-ai-gateway"}]}]}]},{"tab":"UIKits","pages":[{"title":"UIKits","href":"/ui-kits/overview"}]},{"tab":"SDKs","pages":[{"title":"SDKs","href":"/sdks/sdk-overview"}]},{"tab":"Code Samples","pages":[{"title":"Code Samples","href":"/code-samples/overview"}]},{"tab":"AI Agent","pages":[{"title":"AI Agent","href":"/ai-agent/overview"}]}]},"title":"Create Child Record - QuickBlox","buildId":"dpl_2xiSHD9XEvLsPGPcfoMtkLTB3dy9","deploymentId":"dpl_2xiSHD9XEvLsPGPcfoMtkLTB3dy9","dynamics":["c2aa737661","2b790eda92","b0f84f53ff"],"chunks":["OpenApiReferenceProvider-DmVyH30O.js","utils-BHQqGGOd.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-CD-E4BIt.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-Bp5Lq9Ds.js","snippetPresets-C4xAVCFP.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-CgXVLxUC.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BF8I5oUf.js","shallow-Byd0lWnC.js","getApiPlaygroundDisplay-BGOZG1OK.js","CodeSnippet-CpvQL0CY.js","CodeSnippets-B8wkBKXa.js","Page-CBCH2P7b.js","getPastedJson-Ry3scI3Y.js","icon-D7a9HcdD.js","MethodPill-CJ8pmHhz.js","DuplicateIcon-rh1HJF0t.js","createIcon-DvGznqYs.js","DynamicMarkdown-Cc6AuSHS.js","SectionHeading-B4A0S-ep.js","axios-vUo_bRtp.js"]}